
QGIS Application - Bug report #12120

QGis Server: WMS - rules?

2015-02-03 08:31 AM - Jeffrey Bostoen

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:2.6.0 Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 20314

Description

For some reason - maybe it is by design? - the WMS seems to ignore the rules I've set for a particular shapefile ("lyr_mob_strooiplan").

When setting up the service in QGis Desktop, it renders perfectly. But the legend (PNG) only shows the 2 categories but in black?

Maybe I'm missing something?

.QGS-file attached.

History

#1 - 2015-02-03 08:45 AM - Giovanni Manghi

- Status changed from Open to Feedback

the project file without the data does not help.

#2 - 2015-02-03 11:53 PM - Jeffrey Bostoen

- File Sneeuw.zip added

Here's the shapefile. ( lyr_mob_strooiplan ).

When viewing the WMS, I only see darker polylines, without colors. Same thing if I alter it to a single symbol.

I might be overlooking something, perhaps I need to define the style in a different way?

I've also been googling on some proper documentation about how the STYLE parameter works for the MapServer's WMS, but haven't found anything

useful yet?

#3 - 2015-02-04 01:42 AM - Giovanni Manghi

- File wms.png added

Jeffrey Bostoen wrote:

Here's the shapefile. ( lyr_mob_strooiplan ).

When viewing the WMS, I only see darker polylines, without colors. Same thing if I alter it to a single symbol.

I might be overlooking something, perhaps I need to define the style in a different way?
I've also been googling on some proper documentation about how the STYLE parameter works for the MapServer's WMS, but haven't found

anything useful yet?

attached an image as your layer/project looks like when loaded as WMS layer using QGIS server. Seems ok to me.

#4 - 2015-02-04 02:58 AM - Jeffrey Bostoen

- Status changed from Feedback to Closed

My bad. I just did a clean re-install of the QGis-server package and it works perfectly.

#5 - 2015-02-04 03:19 AM - Giovanni Manghi

- Resolution set to invalid

Files

strooiplan.qgs 65.2 KB 2015-02-03 Jeffrey Bostoen

Sneeuw.zip 28 KB 2015-02-03 Jeffrey Bostoen

wms.png 286 KB 2015-02-04 Giovanni Manghi
